Bug 427464 - Review Request: mono-zeroconf
Summary: Review Request: mono-zeroconf
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-03 23:29 UTC by Paul F. Johnson
Modified: 2008-02-01 07:30 UTC (History)
4 users (show)

Fixed In Version: mono-zeroconf-0.7.5-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 07:30:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gnomeuser: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Paul F. Johnson 2008-01-03 23:29:26 UTC
Spec URL: http://pfj.fedorapeople.org/mono-zeroconf.spec
SRPM URL: http://pfj.fedorapeople.org/mono-zeroconf-0.7-1.fc9.src.rpm
Description: Mono.Zeroconf is a cross platform Zero Configuration Networking library for Mono and .NET. It provides a unified API for performing the most common zeroconf operations on a variety of platforms and subsystems

Comment 1 David Nielsen 2008-01-04 00:13:06 UTC
Excellent give this a proper review tomorrow but:

License tag is wrong, GPL/LGPL are not longer valid
contains mono-basic patch which needs to go away.

Aside it looks rather harmless.

Comment 2 Paul F. Johnson 2008-01-04 10:15:09 UTC
Fixed the things above

Spec URL: http://pfj.fedorapeople.org/mono-zeroconf.spec
SRPM URL: http://pfj.fedorapeople.org/mono-zeroconf-0.7-2.fc9.src.rpm


Comment 3 David Nielsen 2008-01-10 03:46:40 UTC
Okay, and now that I'm delirious from fever I feel able to review specs again.

BAD:
mono-zeroconf.src: W: summary-not-capitalized mono-zeroconf namespace
mono-zeroconf.x86_64: W: summary-not-capitalized mono-zeroconf namespace

GOOD:
SPEC is in clean readable US English
Owns all it's files
Correct macro use
cleans the buildroot in all the right places
Builds in mock (fedora-devel-x86_64)

Just fix the summaries before checking this in, I'll call it APPROVED.


Comment 5 David Nielsen 2008-01-14 14:43:53 UTC
Thou CVS request lacks the proper magic incantations oh mighty one.

Comment 6 Kevin Fenzi 2008-01-14 17:39:42 UTC
indeed. Please use a cvs request template from: 
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Otherwise we have no idea what branches, etc you want. 

Comment 7 Paul F. Johnson 2008-01-14 18:32:50 UTC
New Package CVS Request
=======================
Package Name: mono-zeroconf
Short Description: Mono.Zeroconf is a cross platform Zero Configuration
Networking library for Mono and .NET
Owners: pfj
Branches: f8, fc7
InitialCC: pfj
Cvsextras Commits:yes


Comment 8 David Nielsen 2008-01-14 18:45:38 UTC
Also before you build this remember to excludearch ppc64.. my bad entirely for
forgetting that during the review.

Comment 9 Kevin Fenzi 2008-01-14 21:47:29 UTC
cvs done.

Comment 10 David Nielsen 2008-02-01 07:30:57 UTC
This is the repos now, CLOSING


Note You need to log in before you can comment on or make changes to this bug.